function convertHTMLtoScroll(html) {
  // Convert HTML tags to Scroll format
  let scroll = html
    .replace(/<header>/g, 'header\n')
    .replace(/<\/header>/g, '\nendHeader')
    .replace(/<main>/g, 'main\n')
    .replace(/<\/main>/g, '\nendMain')
    .replace(/<footer>/g, 'footer\n')
    .replace(/<\/footer>/g, '\nendFooter')
    .replace(/<h1>/g, 'h1 ')
    .replace(/<\/h1>/g, '\n')
    .replace(/<p>/g, 'p ')
    .replace(/<\/p>/g, '\n')
    .replace(/<a href="([^"]+)">([^<]+)<\/a>/g, 'link "$2" "$1"')
    .replace(/<img src="([^"]+)" alt="([^"]*)" ?\/?>/g, 'image "$1" "$2"')
    .replace(/<ul>/g, 'list\n')
    .replace(/<\/ul>/g, '\nendList')
    .replace(/<li>/g, 'item ')
    .replace(/<\/li>/g, '\n')
    .replace(/<div>/g, 'div\n')
    .replace(/<\/div>/g, '\nendDiv')
    .replace(/<section>/g, 'section\n')
    .replace(/<\/section>/g, '\nendSection')
    .replace(/<article>/g, 'article\n')
    .replace(/<\/article>/g, '\nendArticle')
    .replace(/<nav>/g, 'nav\n')
    .replace(/<\/nav>/g, '\nendNav')
    .replace(/<button>/g, 'button ')
    .replace(/<\/button>/g, '\n')
    .replace(/<textarea>/g, 'textarea ')
    .replace(/<\/textarea>/g, '\n')
    .replace(/<input type="([^"]+)" placeholder="([^"]+)" ?\/?>/g, 'input "$1" "$2"')
    .replace(/<br>/g, 'br')
    .replace(/<hr>/g, 'hr');

  // Remove any remaining HTML tags
  scroll = scroll.replace(/<[^>]+>/g, '');

  // Trim extra newlines
  scroll = scroll.replace(/\n{3,}/g, '\n\n');

  return scroll.trim();
}

document.getElementById('convertButton').addEventListener('click', () => {
  const htmlInput = document.getElementById('htmlInput').value;
  const scrollOutput = convertHTMLtoScroll(htmlInput);
  document.getElementById('scrollOutput').value = scrollOutput;
});